Bug 160535 - [PATCH] security/gnupg 2.0.18 will not use libcurl
[PATCH] security/gnupg 2.0.18 will not use libcurl
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-07 07:30 UTC by John Marshall
Modified: 2011-09-26 15:50 UTC (History)
0 users

See Also:


Attachments
gnupg_2.0.18.diff (902 bytes, patch)
2011-09-07 07:30 UTC, John Marshall
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marshall 2011-09-07 07:30:11 UTC
There is an error in the gnupg 2.0.18 configure test for libcurl which
results in configure always failing to find a usable libcurl.  This
doesn't break the build because it falls back to using the GnuPG
'curl-shim'.

Fix: The attached patch alters the port to patch the distribution's configure
script to correct the error in the libcurl test program.  The problem
has been reported to the GnuPG folks.

 - Bump PORTREVISION
 - Add File: files/patch-configure
How-To-Repeat: 
 - Ensure WITH_CURL=true (default)
 - make configure
 - Review work/gnupg-2.0.18/config.log

   configure:9374: checking whether libcurl is usable
   ---< snip >--
   configure:9421: result: no
Comment 1 Edwin Groothuis freebsd_committer 2011-09-07 07:30:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 John Marshall 2011-09-21 21:38:35 UTC
I have heard back from the GnuPG developers.  The next GnuPG release
will address this issue but could we please patch the distribution in
the existing (broken) 2.0.18 port?

Thank you.

-- 
John Marshall
Comment 3 dfilter freebsd_committer 2011-09-26 15:49:12 UTC
kuriyama    2011-09-26 14:49:01 UTC

  FreeBSD ports repository

  Modified files:
    security/gnupg       Makefile 
  Added files:
    security/gnupg/files patch-configure 
  Log:
  - Fix libcurl detection.
  
  PR:             ports/160535
  Submitted by    John Marshall <john.marshall@riverwillow.com.au>
  
  Revision  Changes    Path
  1.142     +1 -0      ports/security/gnupg/Makefile
  1.7       +11 -0     ports/security/gnupg/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jun Kuriyama freebsd_committer 2011-09-26 15:49:17 UTC
State Changed
From-To: open->closed

Committed, thanks!